INTERFACE
SUBROUTINE GEMS_TEND_TL( KIDIA, KFDIA, KLEV, KLON, PTENGFL, PTENC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : NAERO, NGRG,&
 & YGHG, NGHG, YGFL, YGRG, YAERO 
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
REAL(KIND=JPRB), INTENT(INOUT) :: PTENGFL(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB), POINTER :: PTENC(:,:,:)
END SUBROUTINE GEMS_TEND_TL
END INTERFACE
